Bug 124660 - system-config-packages should depend on comps
system-config-packages should depend on comps
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-05-28 07:11 EDT by petrosyan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-01 15:28:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description petrosyan 2004-05-28 07:11:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
after uninstalling the comps package ( rpm -e comps ),
system-config-packages stops working and gives the following error:
Installation Tree Not Found.

The path None does not look like a valid installation source.
after installing comps package again ( up2date comps )
system-config-packages starts working again.

This means that system-config-packages should depends on comps package.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -e comps
2. system-config-packages
Comment 1 Jeremy Katz 2004-06-01 15:28:34 EDT
Unfortunately, the comps package is "special" and cannot be in the
installer hdlist (as it contains the hdlist file, so there's a chicken
and the egg problem) and so s-c-p can't depend on it.

Note You need to log in before you can comment on or make changes to this bug.